import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusUserPlateAuth } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-12 13:31
 */
interface BusUserPlateAuthCU extends ConditionUtil<BusUserPlateAuthCU> {
    ID: FieldUtil<BusUserPlateAuthCU>;
    USER_ID: FieldUtil<BusUserPlateAuthCU>;
    PP_USER_ID: FieldUtil<BusUserPlateAuthCU>;
    OPEN_ID: FieldUtil<BusUserPlateAuthCU>;
    PLATE_NUMBER: FieldUtil<BusUserPlateAuthCU>;
    PLATE_NUMBER_SUFFIX: FieldUtil<BusUserPlateAuthCU>;
    IS_AUDIT: FieldUtil<BusUserPlateAuthCU>;
    AUDIT_FLAG: FieldUtil<BusUserPlateAuthCU>;
    AUDIT_DATE: FieldUtil<BusUserPlateAuthCU>;
    DRIVING_LICENSE: FieldUtil<BusUserPlateAuthCU>;
    REMARK: FieldUtil<BusUserPlateAuthCU>;
    CREATE_TIME: FieldUtil<BusUserPlateAuthCU>;
    UPDATE_TIME: FieldUtil<BusUserPlateAuthCU>;
    MACHINE_AUDIT: FieldUtil<BusUserPlateAuthCU>;
    DELETED: FieldUtil<BusUserPlateAuthCU>;
}
declare class BusUserPlateAuthMU extends TableUtilImpl<BusUserPlateAuthCU, BusUserPlateAuth> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusUserPlateAuthCU;
    static get ID(): FieldUtil<BusUserPlateAuthCU>;
    static get USER_ID(): FieldUtil<BusUserPlateAuthCU>;
    static get PP_USER_ID(): FieldUtil<BusUserPlateAuthCU>;
    static get OPEN_ID(): FieldUtil<BusUserPlateAuthCU>;
    static get PLATE_NUMBER(): FieldUtil<BusUserPlateAuthCU>;
    static get PLATE_NUMBER_SUFFIX(): FieldUtil<BusUserPlateAuthCU>;
    static get IS_AUDIT(): FieldUtil<BusUserPlateAuthCU>;
    static get AUDIT_FLAG(): FieldUtil<BusUserPlateAuthCU>;
    static get AUDIT_DATE(): FieldUtil<BusUserPlateAuthCU>;
    static get DRIVING_LICENSE(): FieldUtil<BusUserPlateAuthCU>;
    static get REMARK(): FieldUtil<BusUserPlateAuthCU>;
    static get CREATE_TIME(): FieldUtil<BusUserPlateAuthCU>;
    static get UPDATE_TIME(): FieldUtil<BusUserPlateAuthCU>;
    static get MACHINE_AUDIT(): FieldUtil<BusUserPlateAuthCU>;
    static get DELETED(): FieldUtil<BusUserPlateAuthCU>;
    get ID(): FieldUtil<BusUserPlateAuthCU>;
    get USER_ID(): FieldUtil<BusUserPlateAuthCU>;
    get PP_USER_ID(): FieldUtil<BusUserPlateAuthCU>;
    get OPEN_ID(): FieldUtil<BusUserPlateAuthCU>;
    get PLATE_NUMBER(): FieldUtil<BusUserPlateAuthCU>;
    get PLATE_NUMBER_SUFFIX(): FieldUtil<BusUserPlateAuthCU>;
    get IS_AUDIT(): FieldUtil<BusUserPlateAuthCU>;
    get AUDIT_FLAG(): FieldUtil<BusUserPlateAuthCU>;
    get AUDIT_DATE(): FieldUtil<BusUserPlateAuthCU>;
    get DRIVING_LICENSE(): FieldUtil<BusUserPlateAuthCU>;
    get REMARK(): FieldUtil<BusUserPlateAuthCU>;
    get CREATE_TIME(): FieldUtil<BusUserPlateAuthCU>;
    get UPDATE_TIME(): FieldUtil<BusUserPlateAuthCU>;
    get MACHINE_AUDIT(): FieldUtil<BusUserPlateAuthCU>;
    get DELETED(): FieldUtil<BusUserPlateAuthCU>;
}
export { BusUserPlateAuthMU, BusUserPlateAuthCU };
